Subject: Re: bug#9774: 24.0.90; interrupting smtpmail

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Dec 2015 23:55:09 +0100

emacs user <[email-masked]> writes:

> 2011/11/9 Lars Magne Ingebrigtsen <[email-masked]>:
>> emacs user <[email-masked]> writes:
>>
>>> thanks for responding.  I see this problem when I try to use google's
>>> smtp server, when behind a firewall that does not allow me to access
>>> it, for example.  emacs still tries hard to connect, this takes a
>>> while, and during this time c-g doesn't have an effect.  I don't know
>>> how to reproduce this without this situation, but perhaps this
>>> additional information helps?  thanks again...
>>
>> I see...  hm...  I just tried setting smtpmail to point to an external
>> SMTP server on port 25.  That port is blocked by my ISP, too, so
>> smtpmail.el hangs when trying to talk to that port.
>>
>> But `C-g' works for me when this happens.  Could this be an OS
>> X-specific bug?
>
> perhaps...  anything I could do to look into this?

Try running Emacs under gdb and get a C backtrace when Emacs hangs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no